#
# spec file for package chocolate-doom
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           chocolate-doom
Version:        2.1
Release:        4.2
%define rversion	2.1.0
Summary:        Conservative DOOM/Heretic/Hexen/Strife source port
License:        GPL-2.0+
Group:          Amusements/Games/3D/Shoot
Url:            http://chocolate-doom.org/

#Git-Clone:	git://github.com/fragglet/chocolate-doom
#Git-Web:	https://github.com/fragglet/chocolate-doom
Source:         http://www.chocolate-doom.org/downloads/%rversion/%name-%rversion.tar.gz
Source2:        http://www.chocolate-doom.org/downloads/%rversion/%name-%rversion.tar.gz.asc
Source3:        %name.keyring
Patch1:         chdoom-iwaddir.diff
Patch2:         chdoom-nonvoid.diff
Patch3:         chdoom-prng.diff
Patch4:         chdoom-date.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  python
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  pkgconfig(libcrypto) >= 0.9.7
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sdl) >= 1.1.3
Provides:       chocolate-heretic = %version
Provides:       chocolate-hexen = %version
Provides:       chocolate-strife = %version

%description
Chocolate Doom is a Doom source port with focus on accurate
reproduction of the original DOS version of Doom and other games
based on the Doom engine, in a form that can be run on modern
computers. Originally, Chocolate Doom was only a Doom source port.
The project now includes ports of Heretic and Hexen, and Strife.

Chocolate Doom's aims are:

 * Accurate reproduction of the original DOS versions of the games,
   including bugs.
 * Compatibility with the DOS demo, configuration and savegame files.
 * To provide an accurate retro "feel" (display and input should
   behave the same).

%prep
%setup -Tqb0 -n %name-%rversion
%patch -P 1 -P 2 -P 3 -P 4 -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b" iconsdir="%_datadir/icons/hicolor/64x64/apps" \
	docdir="%_docdir/%name";
mkdir -p "$b/%_bindir";
mv "$b/%_prefix/games"/* "$b/%_bindir/";
rm -f "$b/%_docdir/%name/INSTALL"
%suse_update_desktop_file -r chocolate-setup chocolate-setup Game ActionGame
%fdupes %buildroot/%_prefix

%post
echo "INFO: %name: The global IWAD directory is %_datadir/doom.";

%files
%defattr(-,root,root)
%_bindir/chocolate-*
%_mandir/man*/*
%_datadir/applications/*
%_datadir/icons/*
%_docdir/chocolate-*/

%changelog
* Sat Mar 28 2015 jengelh@inai.de
- Update to new upstream release 2.1
  * Chocolate Doom now supports high-quality substitute music packs
  that are used in place of the original MIDI music tracks.
  * Support for joysticks and gamepads has been significantly
  improved in this version.
  * OPL MIDI playback has been significantly improved. Multi-track
  MIDI files now play back properly.
  * The "no fog on spawn west" Vanilla bug is now correctly
  emulated.
  * Behavior of older versions of Doom back to v1.666 can now be
  emulated.
- Add chdoom-nonvoid.diff, chdoom-prng.diff to quench compiler
  warnings. Add chdoom-date.diff to kill __DATE__ instances.
* Sun May 11 2014 jengelh@inai.de
- Add python to BuildRequires - it is used for manpage generation
  (was previously implicitly included)
* Tue Dec 10 2013 jengelh@inai.de
- Update to new upstream release 2.0
  * Support for three other Doom engine-based games: Heretic, Hexen,
  and Strife.
* Thu May  2 2013 jengelh@inai.de
- Search /usr/share/doom for IWADs as well (bnc#818102)
  + Added chdoom-iwaddir.diff
- Remove unnecessary INSTALL file
* Mon Jun 11 2012 jengelh@inai.de
- Update to new upstream release 1.7.0
  * Running servers now re-resolve the address of the master server
  occasionally, to adapt to DNS address changes.
  * A workaround for SDL mouse lag is now only used on Windows
  (where it is needed)
  * UTF-8 usernames are supported, and Windows usernames with
  non-ASCII characters are now supported
  * Palette accuracy is reduced to 6 bits per channel, to more
  accurately emulate the PC VGA hardware
* Wed Jun  8 2011 jengelh@medozas.de
- Initial package (version 1.6.0) for build.opensuse.org
